#!/usr/bin/gnuplot

set term x11

nm = 1.e-9  # m
ang = 1.e-10/nm  # nm
shift = 1.0

set xl "lambda [nm]"
set yl "I_lambda [] (shifted by 1/4 dataset number)"

set ytics shift
set grid ytics

call "line.plt" "Halpha" 6563
call "line.plt" "Hbeta"  4861
call "line.plt" "Hgamma" 4341
call "line.plt" "Hdelta" 4102
call "line.plt" "HeI"    4009
call "line.plt" "HeI"    4026
call "line.plt" "HeI"    4120
call "line.plt" "HeI"    4143
call "line.plt" "HeI"    4387
call "line.plt" "HeI"    4471
call "line.plt" "HeI"    4713
call "line.plt" "HeI"    4922
call "line.plt" "HeI"    5016
call "line.plt" "HeI"    5047
call "line.plt" "HeI"    5876
call "line.plt" "HeI"    6678
call "line.plt" "CII"    4267
call "line.plt" "MgII"   4481
call "line.plt" "SiII"   4128
call "line.plt" "SiII"   4130
call "line.plt" "SiII"   6347
call "line.plt" "SiII"   6371
call "line.plt" "NeI"    6402

p \
  "<awk '($6==1) || (NF==0)' synthetic2.dat" u ($2/nm):($3*$4/$5+$7*shift) t "1"   w l lt 1,\
  "<awk '($6==2) || (NF==0)' synthetic2.dat" u ($2/nm):($3*$4/$5+$7*shift) t "2"   w l lt 2,\
  "<awk '($6==3) || (NF==0)' synthetic2.dat" u ($2/nm):($3*$4/$5+$7*shift) t "3"   w l lt 3,\
  "synthetic.dat"                            u ($2/nm):($3+$4*shift)       t "sum" w l lt 5,\

pa -1
q

  "Spectra.dat"   u ($2/nm):($3+shift*$5) t "observed" w l
set term png small
set out "synthetic2.png"
rep


