#!/usr/bin/gnuplot

set term x11

set xl "{/Symbol w}_1, {/Symbol w}_2, {/Symbol w}_3 [deg]"
set yl "{/Symbol c}^2" offset +0,0

set xr [0:360]
set xtics 30
set yr [1.e3:1.e13]
set logscale y
set mytics 10
set zeroaxis
set key sample 1.0 at graph 0.985,graph 0.7

set ytics (\
  "10^{3}"  1.e3  0,\
  "10^{4}"  1.e4  0,\
  "10^{5}"  1.e5  0,\
  "10^{6}"  1.e6  0,\
  "10^{7}"  1.e7  0,\
  "10^{8}"  1.e8  0,\
  "10^{9}"  1.e9  0,\
  "10^{10}" 1.e10 0,\
  "10^{11}" 1.e11 0,\
  "10^{12}" 1.e12 0,\
  "10^{13}" 1.e13 0,\
  ""        1.e14 0,\
  )

set lmargin 7.0
set rmargin 1.6
set bmargin 3.2
set tmargin 0.8

load "config.plt"
load "chi2.plt"

p \
  "../chi2_func.tmp7"  u  8:49 t "{/Symbol w}_1" w l ls 2 lw 3,\
  "../chi2_func.tmp13" u 14:49 t "{/Symbol w}_2" w l ls 3 lw 3,\
  chi2_3sigma w l not lt 9 lw 1,\
  chi2 w l not lt 0

pa -1

set term post eps enh color solid
set out "chi2_omega.eps"
set size 0.8,0.5
rep

q
  "<awk '($1== 8)' src/map_uncertainty.out" u 3:12 not w p ls 2,\
  "<awk '($1== 8)' src/map_uncertainty.out" u 4:11 not w p ls 2,\
  "<awk '($1== 8)' src/map_uncertainty.out" u 5:12 not w p ls 2,\
  "<awk '($1==14)' src/map_uncertainty.out" u 3:12 not w p ls 3,\
  "<awk '($1==14)' src/map_uncertainty.out" u 4:11 not w p ls 3,\
  "<awk '($1==14)' src/map_uncertainty.out" u 5:12 not w p ls 3,\
  "<awk '($1==20)' src/map_uncertainty.out" u 3:12 not w p ls 4,\
  "<awk '($1==20)' src/map_uncertainty.out" u 4:11 not w p ls 4,\
  "<awk '($1==20)' src/map_uncertainty.out" u 5:12 not w p ls 4,\

