#!/usr/bin/gnuplot

logM(X) = (((-1.744951e0*X + 30.31681e0)*X - 196.2387e0)*X + 562.6774e0)*X - 604.0760e0
logR(X) = (((-0.8656627e0*X + 16.22018e0)*X - 112.2303e0)*X + 341.6602e0)*X - 387.0969e0
Mbol(X) = (((4.328314e0*X - 81.10091e0)*X + 561.1516e0)*X - 1718.301e0)*X + 1977.795e0
logg(X) = 4.438e0 + logM(X) - 2.e0*logR(X)

Teff = 14672.  # K
Teff = 14672.-114.  # K
X = log10(Teff)

M = 10.**logM(X)
R = 10.**logR(X)

print "M = ", M, " M_S"

########################################################################

set term x11

x1=4.6
x2=3.4
set xr [x1:x2]
set x2r [10.**x1:10.**x2]
set logscale x2
set xtics nomirror
set x2tics

set xl "log [T_eff]_K"
set yl "log M/M_S"

p logM(x),\
  log10(6.5) lt 0,\
  log10(4.6) lt 0,\
  log10(2.7) lt 0
pa -1

set yl "log R/R_S"

p logR(x)
pa -1

set yl "M_bol [mag]"

p Mbol(x)
pa -1

set yl "log g [cgs]"

p logg(x),\
  3.6 lt 0,\
  3.8 lt 0
  
pa -1

set xr [10.**x1:10.**x2]

set xl "[T_eff]_K"
set yl "M/M_S"

p 10.**logM(log10(x))

pa -1


