#!/usr/bin/gnuplot

set term x11

cm = 1.e-2  # m
nm = 1.e-9  # m
ang = 1.e-10  # m
erg = 1.e-7  # J

AU = 1.49597870700e11  # m, from IAU 2012
c = 2.99792458e8       # m/s
h = 6.626070040e-34    # J s, from 2014 CODATA
k_B = 1.38064852e-23   # J K^-1, from 2014 CODATA
R_S = 6.957e8          # m, from IAU 2015

shift = 0.0

set xl "lambda [nm]"
set yl "F_lambda [erg s^-1 cm^-2 A^-1]"

set xr [200:2800]
set logscale y

p "1.abs" u ($1*ang/nm):($2+0*shift) t "1" w l lw 1,\
  "NewGuey2003/NewGuey2003.dat" u ($1*ang/nm):($2/erg*cm**2*ang * (4.*pi*AU**2)/(4.*pi*R_S**2) ) w l
pa -1

set term png small
set out "abs2.png"
rep


